<?php namespace EscapeWork\Manager\Models;

use EscapeWork\Manager\Extensions\Collections\PageCollection;
use EscapeWork\LaravelSteroids\Model;
use EscapeWork\LaravelSteroids\SluggableTrait;

class Page extends Model
{

    /**
     * Table
     */
    protected $table = 'manager_pages';

    /**
     * Sluggable
     */
    use SluggableTrait;

    /**
     * Fillable fields
     */
    public $fillable = [
        'id',
        'title',
        'slug',
        'specific_permissions',
    ];

    public function actions()
    {
        return $this->hasMany('EscapeWork\Manager\Models\PageAction');
    }

    public function newCollection(array $models = array())
    {
        return new PageCollection($models);
    }
}
