<?php namespace EscapeWork\Manager\Models;

use EscapeWork\LaravelSteroids\Model;
use Illuminate\Database\Eloquent\Collection;

class PageAction extends Model
{

    /**
     * Table
     */
    protected $table = 'manager_page_actions';

    /**
     * Fillable fields
     */
    public $fillable = [
        'id',
        'page_id',
        'title',
        'type',
    ];

    /**
     * Default actions
     */
    public $defaultActions = [
        ['type' => 'read',    'title' => 'Listar'],
        ['type' => 'create',  'title' => 'Inserir'],
        ['type' => 'update',  'title' => 'Editar'],
        ['type' => 'destroy', 'title' => 'Excluir'],
    ];

    /**
     * Returning a collection of default actions
     */
    public function getDefaultActions()
    {
        $models = [];

        foreach ($this->defaultActions as $action) {
            $pageAction        = new PageAction();
            $pageAction->title = $action['title'];
            $pageAction->type  = $action['type'];

            $models[] = $pageAction;
        }

        return new Collection($models);
    }
}
