<?php namespace EscapeWork\Manager\Models;

use EscapeWork\LaravelSteroids\Model;

class Role extends Model
{

    /**
     * Table
     */
    protected $table = 'manager_roles';

    /**
     * Fillable fields
     */
    public $fillable = [
        'id',
        'title',
        'all_permissions',
        'admin',
    ];

    /**
     * Validation rules
     */
    public $validationRules = [
        'title' => array('required', 'max:255'),
    ];

     /**
     * Validation messages
     */
    public $validationMessages = [
        'title.required' => 'Preencha o nome do perfil',
    ];

    public function pages()
    {
        return $this->belongsToMany('EscapeWork\Manager\Models\Page', 'manager_role_pages', 'role_id', 'page_id');
    }

    public function actions()
    {
        return $this->hasMany('EscapeWork\Manager\Models\RoleAction', 'role_id');
    }

    public function scopeNonAdmins($query)
    {
        return $query->where('admin', '=', 0);
    }

    public static function getDefault()
    {
        return static::where('admin', '=', 0)->first();
    }
}
